#ifndef SETTINGS_H
#define SETTINGS_H

#include "DataStructure.h"
#include "Singleton.h"

class Settings {
    friend class Amass::Singleton<Settings>;

public:
    void save();
    void load();
    ImageFormat imageFormat() const;
    int imageQuality() const;

protected:
    Settings();

private:
    ImageFormat m_imageFormat = ImageFormat::Jpeg; // 0: jpg  1: yuv
    int m_imageQuality = 100;
};

#endif // SETTINGS_H
